!********************************************************************
!     
      subroutine obcch3d_scalaire_modes(vout,VR,i,j)
!     
!********************************************************************
!     
!     objet    : calcul du produit scalaire entre deux vecteurs
!                propres ...
!                
!
!     appelant         : cal_coef 
!                      :
!     appeles          : 
!     canal d ecriture :
!     canal de lecture :
!     cle cpp          : 
!                      :
!     variables in     : 
!                      :
!     variables out    : 
!                      :
!     variables inout  :  
!
!***********************************************************

!!
!! Arguments : 
!! Variable en sortie (projection) : vout
!! Variable a projeter             : VR
!! Numero du premier mode pour la projection :  i
!! Numero du deuxieme mode pour la projection : j
!!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
!  
use comvars3d
use comvars2d
use comcfo
implicit none
!
!! declaration programme
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	

      integer,intent(in)                 :: i,j
      real(kind=rlg),dimension(kmax,kmax),intent(in)::VR
      real(kind=rlg),intent(out)         ::vout
      real(kind=rsh),dimension(1:kmax)   :: v1,v2
      
 v1=VR(:,i)
 v2=VR(:,j)

 call obcch3_produit_scalaire(vout,v1,v2)

end subroutine obcch3d_scalaire_modes
